#ifndef GUARD_aboutdlg_h
#define GUARD_aboutdlg_h
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file aboutdlg.h
/// @brief Class for 'About dialog' header file.

#include <gtkmm/dialog.h>
#include <gtkmm/image.h>
#include <gtkmm/label.h>

/// @brief Class for 'About dialog'.
/// @todo Replace Gtk::AboutDialog at gtkmm 2.6.x
class AboutDlg : public Gtk::Dialog
{
    public:
	AboutDlg();
	virtual ~AboutDlg();
	
    private:
	Gtk::Image logoImg_;	    ///< Image for display logo image.
	Gtk::Label infoLabel_;	    ///< Label for display about string.
	
	void OnBtnOk();	

};

#endif

